Bug 105806 - GTK GLArea package does not include ACLOCAL scripts
GTK GLArea package does not include ACLOCAL scripts
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gtkglarea (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
David Lawrence
:
Depends On:
Blocks: FC3BugWeekTracker
  Show dependency treegraph
 
Reported: 2003-09-27 17:41 EDT by Rolando J. Nieves
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-27 12:19:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for the GTK GL Area 1.2.2-16 spec file. (946 bytes, patch)
2003-09-27 17:44 EDT, Rolando J. Nieves
no flags Details | Diff

  None (edit)
Description Rolando J. Nieves 2003-09-27 17:41:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
The SPEC file for the GTK GL area package purposely excluded the ACLOCAL .m4
files that came with GTK GL area. These files are a welcome addition to anybody
doing development work using "autoconf" to configure their software. The SPEC
file changes included in this bug report makes the ACLOCAL .m4 script part of
the GTK GL area package again.

Version-Release number of selected component (if applicable):
gtkglarea-1.2.2-16

How reproducible:
Always

Steps to Reproduce:
1. Install GTK GL area package.
2. Run "aclocal" on a configure.in file that uses the AM_PATH_GTKGL macro.
    

Actual Results:  "aclocal" found an error when it was unable to find the
AM_PATH_GTKGL macro among its library of .m4 files.

Expected Results:  "aclocal" should have run to completion with no errors.

Additional info:

After checking the changelog I was unable to determine whether there was a good
reason to exclude the .m4 macros from the package (incompatibility with another
package?). So I saw no reason not to fix the package SPEC file.
Comment 1 Rolando J. Nieves 2003-09-27 17:44:08 EDT
Created attachment 94787 [details]
Patch for the GTK GL Area 1.2.2-16 spec file.

This patch include the changes necessary to roll the ACLOCAL .m4 macros back
into the GTK GL area package.
Comment 2 Rik van Riel 2004-09-27 12:19:10 EDT
GTK GL area is no longer included in Fedora, nor does there seem to be
a lot of upstream activity around this package any more.  Furthermore,
maintenance of Red Hat Linux 9 has been handed off to the Fedora
Legacy project:  http://www.fedoralegacy.org/

Note You need to log in before you can comment on or make changes to this bug.